org.apache.ignite.internal.util.lang

## Class GridTriple<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridTuple3<T,T,T>
  - - org.apache.ignite.internal.util.lang.GridTriple<T>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<Object>

    public class GridTriple<T>
    extends GridTuple3<T,T,T>

Simple extension over `GridTuple3` for three objects of the same type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridTriple()` Empty constructor required by `Externalizable`.
`GridTriple(T t1, T t2, T t3)` Creates triple with given objects.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridTuple3

`equals, get1, get2, get3, hashCode, iterator, readExternal, set, set1, set2, set3, toString, writeExternal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### GridTriple

    public GridTriple()

Empty constructor required by `Externalizable`.

#### GridTriple

    public GridTriple(@Nullable
                      T t1,
                      @Nullable
                      T t2,
                      @Nullable
                      T t3)

Creates triple with given objects.

Parameters:
  `t1` - First object in triple.
  `t2` - Second object in triple.
  `t3` - Third object in triple.

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `GridTuple3<T,T,T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023